fuzzydl

## Class Restriction

- java.lang.Object
- - fuzzydl.Restriction

- Direct Known Subclasses:
    HasValueRestriction

      public class Restriction
      extends java.lang.Object

  Universal restriction formed by a role, a concept and a lower bound degree.
  Author:
    Fernando Bobillo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Restriction(java.lang.String roleName, Concept concept, Degree degree)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Concept` | `getConcept()` Gets the fuzzy concept.
    `Degree` | `getDegree()` Gets the lower bound for the degree.
    `java.lang.String` | `getNameWithoutDegree()` Gets the name of the restriction without the degree.
    `java.lang.String` | `getRoleName()` Gets the name of the role.
    `java.lang.String` | `toString()` Gets the name of the restriction.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Restriction

          public Restriction(java.lang.String roleName,
                             Concept concept,
                             Degree degree)

  - ### Method Detail

    - #### getRoleName

          public java.lang.String getRoleName()

      Gets the name of the role.
      Returns:
        Name of the role.

    - #### getDegree

          public Degree getDegree()

      Gets the lower bound for the degree.
      Returns:
        Lower bound for the degree.

    - #### getConcept

          public Concept getConcept()

      Gets the fuzzy concept.
      Returns:
        Fuzzy concept.

    - #### toString

          public java.lang.String toString()

      Gets the name of the restriction.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Name of the restriction.

    - #### getNameWithoutDegree

          public java.lang.String getNameWithoutDegree()

      Gets the name of the restriction without the degree.
      Returns:
        Name of the restriction without the degree.